# Uses of Class
org.apache.commons.math3.fitting.GaussianCurveFitter

Packages that use GaussianCurveFitter
Package
Description
org.apache.commons.math3.fitting
Classes to perform curve fitting.

## Uses of GaussianCurveFitter in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return GaussianCurveFitter
Modifier and Type
Method
Description
`static GaussianCurveFitter`
GaussianCurveFitter.`create()`
Creates a default curve fitter.
`GaussianCurveFitter`
GaussianCurveFitter.`withMaxIterations(int newMaxIter)`
Configure the maximum number of iterations.
`GaussianCurveFitter`
GaussianCurveFitter.`withStartPoint(double[] newStart)`
Configure the start point (initial guess).